Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server
Class RemoteClientProject

    java.lang.Object
      edu.stanford.smi.protege.model.Project
          edu.stanford.smi.protege.server.RemoteClientProject

    public class RemoteClientProject

extends Project

Field Summary

Fields inherited from class edu.stanford.smi.protege.model.Project
`CLASS_MAP, SLOT_PROPERTY_MAP`

Constructor Summary
`RemoteClientProject(RemoteServer server, RemoteServerProject serverProject, RemoteSession session, boolean pollForEvents)`

Method Summary
`static Project` | `createProject(RemoteServer server, RemoteServerProject serverProject, RemoteSession session, boolean pollForEvents)`
`void` | `dispose()`
`Collection` | `getCurrentUsers()`
`KnowledgeBaseFactory` | `getKnowledgeBaseFactory()`
`String` | `getLocalUser()`
`URI` | `getProjectURI()`
`URL` | `getProjectURL()`
`RemoteServer` | `getServer()`
`RemoteSession` | `getSession()`
`boolean` | `isDirty()`
`boolean` | `isMultiUserClient()`

Methods inherited from class edu.stanford.smi.protege.model.Project
`addJavaPackageName, addProjectListener, clearCachedWidgets, clearIsDirty, copyClientInformation, createBuildProject, createBuildProject, createDomainKnowledgeBase, createFrame, createFrame, createFrame, createInstanceDisplay, createNewProject, createRuntimeClsWidget, createRuntimeClsWidget, createRuntimeClsWidget, createRuntimeWidget, createWidgetDescriptor, createWidgetDescriptor, equals, getActiveRootURI, getAddNameOnInstanceForm, getAllKnowledgeBaseFactories, getBrowserSlot, getBrowserSlotPattern, getBrowserSlots, getChangeTrackingActive, getClientInformation, getClsesWithCustomizedForms, getClsesWithDirectBrowserSlots, getClsWidgetPropertyList, getDefaultWidgetClassName, getDesignTimeClsWidget, getDirectBrowserSlot, getDirectBrowserSlotPattern, getDirectIncludedProjects, getDirectIncludedProjectURIs, getDisplayAbstractClassIcon, getDisplayConfirmationOnRemove, getDisplayHiddenClasses, getDisplayHiddenFrames, getDisplayMultiParentClassIcon, getFrameCounts, getHiddenFrames, getIncludedProjects, getInheritedBrowserSlot, getInheritedBrowserSlotPattern, getInternalProjectKnowledgeBase, getJournalURI, getKnowledgeBase, getLoadingURI, getName, getOpenWindows, getOwnSlotValue, getPrettyPrintSlotWidgetLabels, getProjectClsesReader, getProjectDirectoryFile, getProjectDirectoryURI, getProjectFile, getProjectFilePath, getProjectInstance, getProjectInstance, getProjectInstancesReader, getProjectName, getProjectTree, getSources, getSuitableWidgetClassNames, getSuppressInstanceCounting, getTabbedInstanceFormLayout, getTabWidgetDescriptor, getTabWidgetDescriptors, getUpdateModificationSlots, getUserName, getWidgetMapper, hasCompleteSources, hasCustomizedDescriptor, hasIncludedProjects, includeProject, includeProject, includeProject, isHidden, isJournalingEnabled, isMultiUserServer, isNewProject, isReadonly, isSuitableWidget, isUndoOptionEnabled, loadBrowserSlots, loadIncludedProjects, loadProjectFromFile, loadProjectFromURI, loadProjectFromURI, loadProjectKB, mergeIncludedProjects, onFrameReplace, postFormChangeEvent, postFormChangeEvent, postProjectEvent, postProjectEvent, removeIncludedProjectReferences, removeJavaPackageName, removeProjectListener, removeUnreferencedInstances, save, setActiveRootURI, setAddNameOnInstanceForm, setChangeTrackingActive, setClientInformation, setDefaultClsWidgetClassName, setDirectIncludedProjectURIs, setDisplayAbstractClassIcon, setDisplayConfirmationOnRemove, setDisplayHiddenClasses, setDisplayHiddenFrames, setDisplayMultiParentClassIcon, setHidden, setInstanceDisplayClass, setIsReadonly, setJournalingEnabled, setKnowledgeBaseFactory, setKnowledgeBases, setPrettyPrintSlotWidgetLabels, setProjectFilePath, setProjectURI, setSuppressInstanceCounting, setTabbedInstanceFormLayout, setTabWidgetDescriptorOrder, setUndoOption, setUpdateModificationSlots, setWidgetMapper, show, show, show, showInInternalFrame, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteClientProject

    public RemoteClientProject(RemoteServer server,
                               RemoteServerProject serverProject,
                               RemoteSession session,
                               boolean pollForEvents)
                        throws RemoteException

Throws:
  `RemoteException`

Method Detail

### createProject

    public static Project createProject(RemoteServer server,
                                        RemoteServerProject serverProject,
                                        RemoteSession session,
                                        boolean pollForEvents)
                                 throws RemoteException

  Throws:
    `RemoteException`

### getSession

    public RemoteSession getSession()

### getServer

    public RemoteServer getServer()

### getProjectURI

    public URI getProjectURI()

  Overrides:
    `getProjectURI` in class `Project`

### getProjectURL

    public URL getProjectURL()

### getCurrentUsers

    public Collection getCurrentUsers()

  Overrides:
    `getCurrentUsers` in class `Project`

### getLocalUser

    public String getLocalUser()

  Overrides:
    `getLocalUser` in class `Project`

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `Project`

### getKnowledgeBaseFactory

    public KnowledgeBaseFactory getKnowledgeBaseFactory()

  Overrides:
    `getKnowledgeBaseFactory` in class `Project`

### isMultiUserClient

    public boolean isMultiUserClient()

  Overrides:
    `isMultiUserClient` in class `Project`

### isDirty

    public boolean isDirty()

  Overrides:
    `isDirty` in class `Project`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.